/**
 * 组织机构接口
 */
import request from '@/utils/request'
// 组织查询
export function getDeptList(params) {
  return request({
    url: 'dept/list',
    method: 'get',
    params
  })
}
// 组织机构树列表
export function getDeptTreeList(params) {
  return request({
    url: 'dept/tree',
    method: 'get',
    params
  })
}

// 组织机构树列表
export function getDeptTreeListByPid(pid) {
  return request({
    url: 'dept/listByPid',
    method: 'get',
    data: {
      pid: pid
    }
  })
}
// 根据角色获取组织机构树列表
export function getDeptTreeByRole(roleId) {
  return request({
    url: 'role/treeByRoleId',
    method: 'get',
    params: {
      roleId
    }
  })
}

// 添加组织机构
export function addDept(params) {
  return request({
    url: 'dept/add',
    method: 'post',
    params
  })
}
// 修改组织机构
export function updateDept(params) {
  return request({
    url: 'dept/update',
    method: 'post',
    params
  })
}
// 删除组织机构
export function delDept(id) {
  return request({
    url: 'dept/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}
